<!doctype html>
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>Example 1 - Block Format Context</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="stylesheet" href="example-1.css">
    </head>
    <body>
        <h1>Example 1 </h1>

        <h2>Vertical margins get smooshed together</h2>
        <p>Right-click and inspect this &lt;p&gt; element.</p>
        <p>A second paragraph.</p>

        <div>
            <p>Paragraph three, which is in a div that has its own margin - so what happened to the paragraph margin? </p>
        </div>

        <h2>Floats interact with each other until they get cleared</h2>
        <div class="container">
            <p class="floated"><strong>Floated paragraph one.</strong> This is a &lt;p&gt; tag within a &lt;div&gt; with a 'float' property. </p>
            <p class="floated"><strong>Floated pararaph two.</strong> This is a &lt;p&gt; tag within a &lt;div&gt; with a 'float' property.</p>
            <p><strong>Non-floated paragraph</strong>. This is a &lt;p&gt; tag within a &lt;div&gt; but it does not have a 'float' property.</p>
        </div>

        <p class="floated"><strong>Floated paragraph three.</strong> This is sitting <em>outside</em> of the parent &lt;div&gt; above, but is still interacting with the above floated elements.</p>
        <p class="clearing"><strong>Cleared paragraph.</strong> This paragraph is also sitting outside the above &lt;div&gt;, and yet because it has a 'clear' property, it is sits in the normal flow.</p>
        <p class="floated"><strong>Floated paragraph four.</strong> Another floated paragraph.</p>
    </body>
</html>
